Accounts
/accounts
Accounts List
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Query Parameters
type?string
Value in
"ledger" | "bank" | "recurringFee" | "nonPosting"search?string
status?string
Value in
"active" | "inactive"classification?string
Value in
"asset" | "liability" | "revenue" | "expense"categoryId?string
bankingCategory?string
Value in
"trust" | "operating" | "external"reconciled?boolean
limit?number
Default
100Range
1 <= value <= 250page?number
Default
1Range
1 <= valueResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.vrplatform.app/accounts"{
"data": [
{
"name": "string",
"status": "active",
"type": "ledger",
"uniqueRef": "string",
"id": "string",
"offsetAccount": {
"id": "string",
"name": "string",
"uniqueRef": "string",
"status": "active"
},
"assignments": [
"accountsPayable"
],
"category": {
"id": "string",
"name": "string",
"classification": "asset"
},
"categoryLock": {
"status": "locked",
"reason": "immutable"
},
"issues": [
{
"code": "bankAccountLast4OutOfSync",
"severity": "warning",
"context": {
"accountLast4": "stri",
"bankAccountLast4": "stri",
"bankAccountIds": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
}
}
],
"banking": {
"category": "trust",
"type": "deposit",
"last4": "stri",
"currency": "string",
"connections": [
{
"id": "string",
"name": "string",
"startDate": "string",
"connection": {
"id": "string",
"appId": "string",
"name": "string",
"status": "active",
"isErrorState": true,
"icon": "string"
},
"status": "active",
"currentSync": {
"status": "queued",
"createdAt": "string",
"updatedAt": "string",
"message": "string"
},
"source": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"status": "active",
"appId": "string",
"appIcon": "string"
}
}
],
"bankRecords": {
"reconciled": 0,
"unreconciled": 0,
"total": 0,
"latestCreatedAt": "string"
},
"balance": {
"openingDate": "string",
"opening": 0,
"ending": 0
}
}
}
],
"pagination": {
"limit": 100,
"page": 1,
"total": 0,
"totalPage": 0,
"nextPage": 0
}
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}